// Copyright 2011 L'Express de Toronto Inc.
// Version 1.0
// May 10, 2011
// Written by Kasyan Servetsky
// http://www.kasyan.ho.com.ua
// e-mail: askoldich@yahoo.com
//==================================================================
if (app.documents.length == 0) ErrorExit("Please open a document and try again.");
// globals
var gScriptName = "Add Suite de la une";
var gScriptVersion = "1.0";
var gDoc = app.activeDocument;
var gSelection = gDoc.selection;

if (gSelection.length != 1) ErrorExit("One text frame or some text should be selected, or the cursor should be inserted into the text.");
if (gDoc.paragraphStyleGroups.item("Suite").paragraphStyles.item("suite:une") == null) ErrorExit("Pparagraph style \"suite:une\" doesn't exist.");

if (gSelection[0].constructor.name == "TextFrame") { // a text frame is selected
	gText = gSelection[0].texts[0];
}
else if (gSelection[0].constructor.name == "InsertionPoint" || // some text is selected or the cursor is placed in the text
	gSelection[0].constructor.name == "Character" ||
	gSelection[0].constructor.name == "Word" ||
	gSelection[0].constructor.name == "TextStyleRange" ||
	gSelection[0].constructor.name == "Line" ||
	gSelection[0].constructor.name == "Paragraph" ||
	gSelection[0].constructor.name == "TextColumn" ||
	gSelection[0].constructor.name == "Text" ||
	gSelection[0].constructor.name == "TextFrame")
	{
		gText = gSelection[0].parentStory.texts[0];
	}
else if (gSelection[0].constructor.name == "Cell") { // a cell is selected
	gText = gSelection[0].parent.parent.parentStory.texts[0];
}
else if (gSelection[0].constructor.name == "Table") { // a table is selected
	gText = gSelection[0].parent.parentStory.texts[0];
}
else {
	ErrorExit("One text frame or some text should be selected, or the cursor should be inserted into the text.");
}
 
if (gText.contents == "") ErrorExit("The selection contains no text."); // text frame is empty

if (gText.constructor.name == "Text") {
	var gStory = gText.parentStory; // get the story
}
else {
	ErrorExit("Can't find the story.", true);
}

Main();

//===================================== FUNCTIONS  ======================================
function Main() {
	if (gText.paragraphs[0].contents != "Suite de la une\r") {
		gText.insertionPoints[0].contents = "Suite de la une\r";
		gText.paragraphs[0].appliedParagraphStyle = gDoc.paragraphStyleGroups.item("Suite").paragraphStyles.item("suite:une");
	}
}
//--------------------------------------------------------------------------------------------------------------------------------------------------------
function ErrorExit(error, icon) {
	alert(error, gScriptName + " - " + gScriptVersion, icon);
	exit();
}
//--------------------------------------------------------------------------------------------------------------------------------------------------------